import request from '@/utils/request'

//设备信息详情分页
export function getInfoList(data) {
    return request({
        url: '/api/v1/appdevice/pageQuery',
        method: 'post',
        data
    })
}

//查看电池详情
export function getBatteryDetail(data) {
    return request({
        url: '/api/v1/appdevice/pageQuery/detail',
        method: 'post',
        data
    })
}

//设备信息分页
export function getBatchList(data) {
    return request({
        url: '/api/v1/appdevice/batchNum/pageQuery',
        method: 'post',
        data
    })
}

//新增电池
export function addBattery(data) {
    return request({
        url: '/api/v1/appdevice/save',
        method: 'post',
        data
    })
}

//列表也数据统计
export function dataTotle() {
    return request({
        url: '/api/v1/appdevice/count',
        method: 'post'
    })

}