import request from '@/utils/request'

//电池入库列表页
export function storageInList(data) {
    return request({
        url: '/api/v1/app/device/log/instorage/pageQuery',
        method: 'post',
        data
    })
}

//电池批次入库列表
export function batchStorageInList(data) {
    return request({
        url: '/api/v1/app/device/log/instorage/batch/Query',
        method: 'post',
        data
    })
}

//批次入库点击入库列表
export function signStorageInList(data) {
    return request({
        url: '/api/v1/app/device/log/instorage/batch/inStorageQuery',
        method: 'post',
        data
    })
}

//新增电池入库
export function addStorageIn(data) {
    return request({
        url: '/api/v1/app/device/log/instorage',
        method: 'post',
        data
    })
}

//自检查看详情
export function storageInCheckInfo(data) {
    return request({
        url: '/api/v1/app/device/log/selfcheck/detail',
        method: 'post',
        data
    })
}

//电池自检
export function selfCheck(data) {
    return request({
        url: '/api/v1/appdevice/selfCheck',
        method: 'post',
        data
    })
}