import request from '@/utils/request'

//账号管理分页接口 */
export function getUserList(data) {
  return request({
    url: '/api/v1/sysuser/pageQuery',
    method: 'post',
    data
  })
}
//查询用户信息
export function getUserInfo(data) {
  return request({
    url: '/api/v1/sysuser/get',
    method: 'post',
    data
  })
}
//查询角色列表
export function getRoles() {
  return request({
    url: '/api/v1/sys/role/select',
    method: 'post'
  })
}
//新建用户
export function createInfo(data) {
  return request({
    url: '/api/v1/sysuser/save',
    method: 'post',
    data
  })
}
