import request from '@/utils/request'
import { batchStorageInList } from './storage'

//出库列表
export function deliveryList(data) {
    return request({
        url: '/api/v1/app/device/log/outstorage/pageQuery',
        method: 'post',
        data
    })
}

export function batchStorageOutList(data) {
    return request({
        url: '/api/v1/app/device/log/outstorage/byBatch/pageQuery',
        method: 'post',
        data
    })
}

//出库查看详情
export function storageOutDetailList(data) {
    return request({
        url: '/api/v1/app/device/log/outstorage/detialQuery',
        method: 'post',
        data
    })
}

//出库列表
export function deliveryDefualtList(data) {
    return request({
        url: '/api/v1/app/device/log/batchNum/out/pageQuery',
        method: 'post',
        data
    })
}

//批次出库查看列表
export function deliveryOutDetailList(data) {
    return request({
        url: '/api/v1/app/device/log/outstorage/batch/detailQuery',
        method: 'post',
        data
    })
}


//设备出库
export function deliveryAdd(data) {
    return request({
        url: '/api/v1/app/device/log/outstorage',
        method: 'post',
        data
    })
}